Subject: bug#22591: 25.0.50; [PATCH] imagemagick orientation EXIF tag is respected

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Feb 2016 15:40:25 +1100

Lars Ingebrigtsen <[email-masked]> writes:

> Dima Kogan <[email-masked]> writes:
>
>> Hi. Here are two small patches to improve handling of images loaded with
>> the imagemagick backend. They are:
>>
>> 1. Accept integer :rotation parameters. Previously only floating-point
>> ones worked
>>
>> 2. If an EXIF orientation tag exists and no explicit :rotation exists,
>> use the orientation. This happens early in the processing, so all the
>> data (width, height, etc) that emacs sees applies to the rotated image.
>>
>> The motivation for this was that I was tired of seeing upside-down
>> photos in my mu4e mail.
>
> Looks good.  I wonder whether this should go in the trunk, though?  It's
> a new feature of sorts.  But we could consider not showing images
> correctly rotated a bug...

I applied it to emacs-25.  Not respecting EXIF rotations is kinda a bug.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no